=== debian/changelog ===
haskell-ogma-core (1.7.0-2) unstable; urgency=medium

  * Fix missing data files

 -- Scott Talbert <swt@techie.net>  Sun, 04 May 2025 21:57:50 -0400

haskell-ogma-core (1.7.0-1) unstable; urgency=medium

  * Initial release

 -- Scott Talbert <swt@techie.net>  Tue, 25 Mar 2025 23:02:26 -0400
