=== debian/control ===
Source: haskell-ogma-core
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: non-free/haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libbz2-dev,
 libexpat-dev,
 libghc-aeson-dev (>= 2.0.0.0),
 libghc-aeson-dev (<< 2.3),
 libghc-aeson-prof,
 libghc-graphviz-dev (>= 2999.20),
 libghc-graphviz-dev (<< 2999.21),
 libghc-graphviz-prof,
 libghc-hunit-dev (>= 1.2.0.0),
 libghc-hunit-dev (<< 1.7),
 libghc-hunit-prof,
 libghc-megaparsec-dev (>= 8.0.0),
 libghc-megaparsec-dev (<< 9.10),
 libghc-megaparsec-prof,
 libghc-ogma-extra-dev (>= 1.7.0),
 libghc-ogma-extra-dev (<< 1.8),
 libghc-ogma-extra-prof,
 libghc-ogma-language-c-dev (>= 1.7.0),
 libghc-ogma-language-c-dev (<< 1.8),
 libghc-ogma-language-c-prof,
 libghc-ogma-language-copilot-dev (>= 1.7.0),
 libghc-ogma-language-copilot-dev (<< 1.8),
 libghc-ogma-language-copilot-prof,
 libghc-ogma-language-csv-dev (>= 1.7.0),
 libghc-ogma-language-csv-dev (<< 1.8),
 libghc-ogma-language-csv-prof,
 libghc-ogma-language-jsonspec-dev (>= 1.7.0),
 libghc-ogma-language-jsonspec-dev (<< 1.8),
 libghc-ogma-language-jsonspec-prof,
 libghc-ogma-language-lustre-dev (>= 1.7.0),
 libghc-ogma-language-lustre-dev (<< 1.8),
 libghc-ogma-language-lustre-prof,
 libghc-ogma-language-smv-dev (>= 1.7.0),
 libghc-ogma-language-smv-dev (<< 1.8),
 libghc-ogma-language-smv-prof,
 libghc-ogma-language-xlsx-dev (>= 1.7.0),
 libghc-ogma-language-xlsx-dev (<< 1.8),
 libghc-ogma-language-xlsx-prof,
 libghc-ogma-language-xmlspec-dev (>= 1.7.0),
 libghc-ogma-language-xmlspec-dev (<< 1.8),
 libghc-ogma-language-xmlspec-prof,
 libghc-ogma-spec-dev (>= 1.7.0),
 libghc-ogma-spec-dev (<< 1.8),
 libghc-ogma-spec-prof,
 libghc-quickcheck2-dev (>= 2.8.2),
 libghc-quickcheck2-dev (<< 2.16),
 libghc-quickcheck2-prof,
 libghc-test-framework-dev (>= 0.8.2),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-prof,
 libghc-test-framework-hunit-dev (>= 0.2.0),
 libghc-test-framework-hunit-dev (<< 0.4),
 libghc-test-framework-hunit-prof,
 libghc-test-framework-quickcheck2-dev (>= 0.3.0.4),
 libghc-test-framework-quickcheck2-dev (<< 0.4),
 libghc-test-framework-quickcheck2-prof,
 libzstd-dev,
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-graphviz-doc,
 libghc-megaparsec-doc,
 libghc-ogma-extra-doc,
 libghc-ogma-language-c-doc,
 libghc-ogma-language-copilot-doc,
 libghc-ogma-language-csv-doc,
 libghc-ogma-language-jsonspec-doc,
 libghc-ogma-language-lustre-doc,
 libghc-ogma-language-smv-doc,
 libghc-ogma-language-xlsx-doc,
 libghc-ogma-language-xmlspec-doc,
 libghc-ogma-spec-doc,
Standards-Version: 4.7.0
Homepage: https://github.com/nasa/ogma
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-ogma-core
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-ogma-core]
X-Description: Helper tool to interoperate between Copilot and other languages
 Ogma is a tool to facilitate the integration of safe runtime monitors into
 other systems. Ogma extends
 <https://github.com/Copilot-Language/copilot Copilot>, a high-level runtime
 verification framework that generates hard real-time C99 code.
 .
 This package implements the internal commands of ogma.

Package: libghc-ogma-core-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-ogma-core-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-ogma-core-doc
Architecture: all
Section: non-free/doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: haskell-ogma-core-utils
Architecture: all
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
