=== debian/control ===
--- 
+++ 
@@ -23,35 +23,35 @@
  libghc-megaparsec-dev (>= 8.0.0),
  libghc-megaparsec-dev (<< 9.10),
  libghc-megaparsec-prof,
- libghc-ogma-extra-dev (>= 1.7.0),
- libghc-ogma-extra-dev (<< 1.8),
+ libghc-ogma-extra-dev (>= 1.9.0),
+ libghc-ogma-extra-dev (<< 1.10),
  libghc-ogma-extra-prof,
- libghc-ogma-language-c-dev (>= 1.7.0),
- libghc-ogma-language-c-dev (<< 1.8),
+ libghc-ogma-language-c-dev (>= 1.9.0),
+ libghc-ogma-language-c-dev (<< 1.10),
  libghc-ogma-language-c-prof,
- libghc-ogma-language-copilot-dev (>= 1.7.0),
- libghc-ogma-language-copilot-dev (<< 1.8),
+ libghc-ogma-language-copilot-dev (>= 1.9.0),
+ libghc-ogma-language-copilot-dev (<< 1.10),
  libghc-ogma-language-copilot-prof,
- libghc-ogma-language-csv-dev (>= 1.7.0),
- libghc-ogma-language-csv-dev (<< 1.8),
+ libghc-ogma-language-csv-dev (>= 1.9.0),
+ libghc-ogma-language-csv-dev (<< 1.10),
  libghc-ogma-language-csv-prof,
- libghc-ogma-language-jsonspec-dev (>= 1.7.0),
- libghc-ogma-language-jsonspec-dev (<< 1.8),
+ libghc-ogma-language-jsonspec-dev (>= 1.9.0),
+ libghc-ogma-language-jsonspec-dev (<< 1.10),
  libghc-ogma-language-jsonspec-prof,
- libghc-ogma-language-lustre-dev (>= 1.7.0),
- libghc-ogma-language-lustre-dev (<< 1.8),
+ libghc-ogma-language-lustre-dev (>= 1.9.0),
+ libghc-ogma-language-lustre-dev (<< 1.10),
  libghc-ogma-language-lustre-prof,
- libghc-ogma-language-smv-dev (>= 1.7.0),
- libghc-ogma-language-smv-dev (<< 1.8),
+ libghc-ogma-language-smv-dev (>= 1.9.0),
+ libghc-ogma-language-smv-dev (<< 1.10),
  libghc-ogma-language-smv-prof,
- libghc-ogma-language-xlsx-dev (>= 1.7.0),
- libghc-ogma-language-xlsx-dev (<< 1.8),
+ libghc-ogma-language-xlsx-dev (>= 1.9.0),
+ libghc-ogma-language-xlsx-dev (<< 1.10),
  libghc-ogma-language-xlsx-prof,
- libghc-ogma-language-xmlspec-dev (>= 1.7.0),
- libghc-ogma-language-xmlspec-dev (<< 1.8),
+ libghc-ogma-language-xmlspec-dev (>= 1.9.0),
+ libghc-ogma-language-xmlspec-dev (<< 1.10),
  libghc-ogma-language-xmlspec-prof,
- libghc-ogma-spec-dev (>= 1.7.0),
- libghc-ogma-spec-dev (<< 1.8),
+ libghc-ogma-spec-dev (>= 1.9.0),
+ libghc-ogma-spec-dev (<< 1.10),
  libghc-ogma-spec-prof,
  libghc-quickcheck2-dev (>= 2.8.2),
  libghc-quickcheck2-dev (<< 2.16),
