=== debian/changelog ===
haskell-ogma-core (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 22 Sep 2025 23:46:50 -0400
