=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>
 Priority: optional
-Section: non-free/haskell
+Section: haskell
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
@@ -23,35 +23,35 @@
  libghc-megaparsec-dev (>= 8.0.0),
  libghc-megaparsec-dev (<< 9.10),
  libghc-megaparsec-prof,
- libghc-ogma-extra-dev (>= 1.9.0),
- libghc-ogma-extra-dev (<< 1.10),
+ libghc-ogma-extra-dev (>= 1.10.0),
+ libghc-ogma-extra-dev (<< 1.11),
  libghc-ogma-extra-prof,
- libghc-ogma-language-c-dev (>= 1.9.0),
- libghc-ogma-language-c-dev (<< 1.10),
+ libghc-ogma-language-c-dev (>= 1.10.0),
+ libghc-ogma-language-c-dev (<< 1.11),
  libghc-ogma-language-c-prof,
- libghc-ogma-language-copilot-dev (>= 1.9.0),
- libghc-ogma-language-copilot-dev (<< 1.10),
+ libghc-ogma-language-copilot-dev (>= 1.10.0),
+ libghc-ogma-language-copilot-dev (<< 1.11),
  libghc-ogma-language-copilot-prof,
- libghc-ogma-language-csv-dev (>= 1.9.0),
- libghc-ogma-language-csv-dev (<< 1.10),
+ libghc-ogma-language-csv-dev (>= 1.10.0),
+ libghc-ogma-language-csv-dev (<< 1.11),
  libghc-ogma-language-csv-prof,
- libghc-ogma-language-jsonspec-dev (>= 1.9.0),
- libghc-ogma-language-jsonspec-dev (<< 1.10),
+ libghc-ogma-language-jsonspec-dev (>= 1.10.0),
+ libghc-ogma-language-jsonspec-dev (<< 1.11),
  libghc-ogma-language-jsonspec-prof,
- libghc-ogma-language-lustre-dev (>= 1.9.0),
- libghc-ogma-language-lustre-dev (<< 1.10),
+ libghc-ogma-language-lustre-dev (>= 1.10.0),
+ libghc-ogma-language-lustre-dev (<< 1.11),
  libghc-ogma-language-lustre-prof,
- libghc-ogma-language-smv-dev (>= 1.9.0),
- libghc-ogma-language-smv-dev (<< 1.10),
+ libghc-ogma-language-smv-dev (>= 1.10.0),
+ libghc-ogma-language-smv-dev (<< 1.11),
  libghc-ogma-language-smv-prof,
- libghc-ogma-language-xlsx-dev (>= 1.9.0),
- libghc-ogma-language-xlsx-dev (<< 1.10),
+ libghc-ogma-language-xlsx-dev (>= 1.10.0),
+ libghc-ogma-language-xlsx-dev (<< 1.11),
  libghc-ogma-language-xlsx-prof,
- libghc-ogma-language-xmlspec-dev (>= 1.9.0),
- libghc-ogma-language-xmlspec-dev (<< 1.10),
+ libghc-ogma-language-xmlspec-dev (>= 1.10.0),
+ libghc-ogma-language-xmlspec-dev (<< 1.11),
  libghc-ogma-language-xmlspec-prof,
- libghc-ogma-spec-dev (>= 1.9.0),
- libghc-ogma-spec-dev (<< 1.10),
+ libghc-ogma-spec-dev (>= 1.10.0),
+ libghc-ogma-spec-dev (<< 1.11),
  libghc-ogma-spec-prof,
  libghc-quickcheck2-dev (>= 2.8.2),
  libghc-quickcheck2-dev (<< 2.16),
@@ -121,7 +121,7 @@
 
 Package: libghc-ogma-core-doc
 Architecture: all
-Section: non-free/doc
+Section: doc
 Depends: ${haskell:Depends},
  ${misc:Depends},
 Recommends: ${haskell:Recommends},
