## haskell-ogma-core 1.11.0

=== debian/changelog ===
haskell-ogma-core (1.11.0-2) unstable; urgency=medium

  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Fri, 13 Feb 2026 19:38:29 -0500

haskell-ogma-core (1.11.0-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 17 Dec 2025 19:16:40 -0500
