=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
- ghc,
+ dh-sequence-haskell,
+ ghc (>= 9.10),
  ghc-prof,
  libbz2-dev,
  libexpat-dev,
@@ -23,35 +23,35 @@
  libghc-megaparsec-dev (>= 8.0.0),
  libghc-megaparsec-dev (<< 9.10),
  libghc-megaparsec-prof,
- libghc-ogma-extra-dev (>= 1.10.0),
- libghc-ogma-extra-dev (<< 1.11),
+ libghc-ogma-extra-dev (>= 1.11.0),
+ libghc-ogma-extra-dev (<< 1.12),
  libghc-ogma-extra-prof,
- libghc-ogma-language-c-dev (>= 1.10.0),
- libghc-ogma-language-c-dev (<< 1.11),
+ libghc-ogma-language-c-dev (>= 1.11.0),
+ libghc-ogma-language-c-dev (<< 1.12),
  libghc-ogma-language-c-prof,
- libghc-ogma-language-copilot-dev (>= 1.10.0),
- libghc-ogma-language-copilot-dev (<< 1.11),
+ libghc-ogma-language-copilot-dev (>= 1.11.0),
+ libghc-ogma-language-copilot-dev (<< 1.12),
  libghc-ogma-language-copilot-prof,
- libghc-ogma-language-csv-dev (>= 1.10.0),
- libghc-ogma-language-csv-dev (<< 1.11),
+ libghc-ogma-language-csv-dev (>= 1.11.0),
+ libghc-ogma-language-csv-dev (<< 1.12),
  libghc-ogma-language-csv-prof,
- libghc-ogma-language-jsonspec-dev (>= 1.10.0),
- libghc-ogma-language-jsonspec-dev (<< 1.11),
+ libghc-ogma-language-jsonspec-dev (>= 1.11.0),
+ libghc-ogma-language-jsonspec-dev (<< 1.12),
  libghc-ogma-language-jsonspec-prof,
- libghc-ogma-language-lustre-dev (>= 1.10.0),
- libghc-ogma-language-lustre-dev (<< 1.11),
+ libghc-ogma-language-lustre-dev (>= 1.11.0),
+ libghc-ogma-language-lustre-dev (<< 1.12),
  libghc-ogma-language-lustre-prof,
- libghc-ogma-language-smv-dev (>= 1.10.0),
- libghc-ogma-language-smv-dev (<< 1.11),
+ libghc-ogma-language-smv-dev (>= 1.11.0),
+ libghc-ogma-language-smv-dev (<< 1.12),
  libghc-ogma-language-smv-prof,
- libghc-ogma-language-xlsx-dev (>= 1.10.0),
- libghc-ogma-language-xlsx-dev (<< 1.11),
+ libghc-ogma-language-xlsx-dev (>= 1.11.0),
+ libghc-ogma-language-xlsx-dev (<< 1.12),
  libghc-ogma-language-xlsx-prof,
- libghc-ogma-language-xmlspec-dev (>= 1.10.0),
- libghc-ogma-language-xmlspec-dev (<< 1.11),
+ libghc-ogma-language-xmlspec-dev (>= 1.11.0),
+ libghc-ogma-language-xmlspec-dev (<< 1.12),
  libghc-ogma-language-xmlspec-prof,
- libghc-ogma-spec-dev (>= 1.10.0),
- libghc-ogma-spec-dev (<< 1.11),
+ libghc-ogma-spec-dev (>= 1.11.0),
+ libghc-ogma-spec-dev (<< 1.12),
  libghc-ogma-spec-prof,
  libghc-quickcheck2-dev (>= 2.8.2),
  libghc-quickcheck2-dev (<< 2.16),
@@ -80,7 +80,7 @@
  libghc-ogma-language-xlsx-doc,
  libghc-ogma-language-xmlspec-doc,
  libghc-ogma-spec-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/nasa/ogma
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-ogma-core
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-ogma-core]
