## haskell-ogma-core 1.12.0

=== debian/changelog ===
haskell-ogma-core (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Thu, 26 Feb 2026 22:22:20 -0500
